Upstream information

CVE-2010-2947 at MITRE

Description

Heap-based buffer overflow in the HX_split function in string.c in libHX before 3.6 allows remote attackers to execute arbitrary code or cause a denial of service (application crash) via a string that is inconsistent with the expected number of fields.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 10
Vector AV:N/AC:L/Au:N/C:C/I:C/A:C
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact Complete
Integrity Impact Complete
Availability Impact Complete
SUSE Bugzilla entry: 631582 [VERIFIED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 12
  • libHX28 >= 3.18-1.19
  • libHX28-32bit >= 3.18-1.19
Patchnames:
SUSE Linux Enterprise Desktop 12 GA libHX28
SUSE Linux Enterprise Desktop 12 SP1
  • libHX28 >= 3.18-1.19
  • libHX28-32bit >= 3.18-1.19
Patchnames:
SUSE Linux Enterprise Desktop 12 SP1 GA libHX28
SUSE Linux Enterprise Desktop 12 SP2
  • libHX28 >= 3.18-1.19
  • libHX28-32bit >= 3.18-1.19
Patchnames:
SUSE Linux Enterprise Desktop 12 SP2 GA libHX28
SUSE Linux Enterprise Desktop 12 SP3
  • libHX28 >= 3.18-1.19
  • libHX28-32bit >= 3.18-1.19
Patchnames:
SUSE Linux Enterprise Desktop 12 SP3 GA libHX28
SUSE Linux Enterprise Module for Basesystem 15
  • libHX-devel >= 3.22-1.26
  • libHX28 >= 3.22-1.26
  • libHX28-32bit >= 3.22-1.26
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 GA libHX-devel
SUSE Linux Enterprise Server 11
  • libHX13 >= 1.23-4.1.1
  • libHX13-32bit >= 1.23-4.1.1
  • libHX13-x86 >= 1.23-4.1.1
Patchnames:
slessp0-libHX13
SUSE Linux Enterprise Server 11 SP1
  • libHX13 >= 1.23-4.1.1
  • libHX13-32bit >= 1.23-4.1.1
  • libHX13-x86 >= 1.23-4.1.1
Patchnames:
slessp1-libHX13
SUSE Linux Enterprise Server 12
  • libHX28 >= 3.18-1.19
  • libHX28-32bit >= 3.18-1.19
Patchnames:
SUSE Linux Enterprise Server 12 GA libHX28
SUSE Linux Enterprise Server 12 SP1
  • libHX28 >= 3.18-1.19
  • libHX28-32bit >= 3.18-1.19
Patchnames:
SUSE Linux Enterprise Server 12 SP1 GA libHX28
SUSE Linux Enterprise Server 12 SP2
  • libHX28 >= 3.18-1.19
  • libHX28-32bit >= 3.18-1.19
Patchnames:
SUSE Linux Enterprise Server 12 SP2 GA libHX28
SUSE Linux Enterprise Server 12 SP3
  • libHX28 >= 3.18-1.19
  • libHX28-32bit >= 3.18-1.19
Patchnames:
SUSE Linux Enterprise Server 12 SP3 GA libHX28
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • libHX28 >= 3.18-1.18
Patchnames:
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 GA libHX28
SUSE Linux Enterprise Server for SAP Applications 11
  • libHX13 >= 1.23-4.1.1
  • libHX13-32bit >= 1.23-4.1.1
  • libHX13-x86 >= 1.23-4.1.1
Patchnames:
slessp0-libHX13
SUSE Linux Enterprise Software Development Kit 12
  • libHX-devel >= 3.18-1.19
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 GA libHX-devel
SUSE Linux Enterprise Software Development Kit 12 SP1
  • libHX-devel >= 3.18-1.19
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP1 GA libHX-devel
SUSE Linux Enterprise Software Development Kit 12 SP2
  • libHX-devel >= 3.18-1.19
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP2 GA libHX-devel
SUSE Linux Enterprise Software Development Kit 12 SP3
  • libHX-devel >= 3.18-1.19
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP3 GA libHX-devel
SUSE Linux Enterprise Desktop 11 SP1
SUSE Linux Enterprise Server 11 SP1
SUSE Linux Enterprise Server 11 SP1 for VMware
  • libHX13 >= 1.23-4.1.1
sles11-sp1.ia64
sles11-sp1.x86
sles11-sp1-vmware.x86-64
sled11-sp1.x86
sles11-sp1.ppc
sles11-sp1.x86-64
sled11-sp1.x86-64
sles11-sp1-vmware.x86
sles11-sp1.s390x
SAT Patch Nr: 2980
SUSE Linux Enterprise Desktop 11 SP1
SUSE Linux Enterprise Server 11 SP1
SUSE Linux Enterprise Server 11 SP1 for VMware
  • libHX13 >= 1.23-4.1.1
  • libHX13-32bit >= 1.23-4.1.1
sles11-sp1.ia64
sles11-sp1.x86
sles11-sp1-vmware.x86-64
sled11-sp1.x86
sles11-sp1.ppc
sles11-sp1.x86-64
sled11-sp1.x86-64
sles11-sp1-vmware.x86
sles11-sp1.s390x
SAT Patch Nr: 2980
SUSE Linux Enterprise Server 11 SP1
  • libHX13 >= 1.23-4.1.1
  • libHX13-x86 >= 1.23-4.1.1
sles11-sp1.ia64
sles11-sp1.x86
sles11-sp1-vmware.x86-64
sled11-sp1.x86
sles11-sp1.ppc
sles11-sp1.x86-64
sled11-sp1.x86-64
sles11-sp1-vmware.x86
sles11-sp1.s390x
SAT Patch Nr: 2980
openSUSE 11.1
  • libHX13 >= 1.23-3.14.1
  • libHX13-32bit >= 1.23-3.14.1
  • libHX13-64bit >= 1.23-3.14.1
openSUSE 11.2
  • libHX18-debuginfo >= 2.9-1.1.1
  • libHX18-debuginfo-32bit >= 2.9-1.1.1
openSUSE 11.2
  • libHX18 >= 2.9-1.1.1
  • libHX18-32bit >= 2.9-1.1.1
openSUSE 11.3
  • libHX22-debuginfo >= 3.4-2.1.1
  • libHX22-debuginfo-32bit >= 3.4-2.1.1
openSUSE 11.3
  • libHX22 >= 3.4-2.1.1
  • libHX22-32bit >= 3.4-2.1.1
SUSE Linux Enterprise Desktop 11 GA
SUSE Linux Enterprise Server 11 GA
  • libHX13 >= 1.23-4.1.1
sles11.x86-64
sles11.ppc
sled11.x86
sles11.s390x
sles11.ia64
sled11.x86-64
sles11.x86
SAT Patch Nr: 2979
SUSE Linux Enterprise Desktop 11 GA
SUSE Linux Enterprise Server 11 GA
  • libHX13 >= 1.23-4.1.1
  • libHX13-32bit >= 1.23-4.1.1
sles11.x86-64
sles11.ppc
sled11.x86
sles11.s390x
sles11.ia64
sled11.x86-64
sles11.x86
SAT Patch Nr: 2979
SUSE Linux Enterprise Server 11 GA
  • libHX13 >= 1.23-4.1.1
  • libHX13-x86 >= 1.23-4.1.1
sles11.x86-64
sles11.ppc
sled11.x86
sles11.s390x
sles11.ia64
sled11.x86-64
sles11.x86
SAT Patch Nr: 2979
openSUSE Leap 15.0
  • libHX28 >= 3.22-lp150.1.7
Patchnames:
openSUSE Leap 15.0 GA libHX28
openSUSE Leap 42.1
  • libHX28 >= 3.18-4.2
  • libHX28-32bit >= 3.18-4.2
Patchnames:
openSUSE Leap 42.1 GA libHX28
openSUSE Leap 42.2
  • libHX28 >= 3.18-5.3
  • libHX28-32bit >= 3.18-5.3
Patchnames:
openSUSE Leap 42.2 GA libHX28
openSUSE Leap 42.3
  • libHX28 >= 3.18-7.3
  • libHX28-32bit >= 3.18-7.3
Patchnames:
openSUSE Leap 42.3 GA libHX28
openSUSE Tumbleweed
  • libHX-devel >= 3.22-2.8
  • libHX-devel-32bit >= 3.22-2.8
  • libHX28 >= 3.22-2.8
  • libHX28-32bit >= 3.22-2.8
Patchnames:
openSUSE Tumbleweed GA libHX-devel


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 11 GA libHX Released
SUSE Linux Enterprise Desktop 11 SP1 libHX Released
SUSE Linux Enterprise SDK 11 GA libHX Released
SUSE Linux Enterprise SDK 11 SP1 libHX Released
SUSE Linux Enterprise Server 11 SP1 libHX Released
SUSE Linux Enterprise Server 11 SP1 LTSS libHX Released
SUSE Linux Enterprise Server for SAP AIO 11 SP1 libHX Released